# Salty IM -- secure, easy, self-hosted messaging

[![Build Status](https://ci.mills.io/api/badges/saltyim/saltyim/status.svg)](https://ci.mills.io/saltyim/saltyim)
[![Go Report Card](https://goreportcard.com/badge/git.mills.io/saltyim/saltyim)](https://goreportcard.com/report/git.mills.io/saltyim/saltyim)
[![Go Reference](https://pkg.go.dev/badge/go.salty.im/saltyim.svg)](https://pkg.go.dev/go.salty.im/saltyim)

<p align="center">
  <img src="https://git.mills.io/saltyim/saltyim/media/branch/master/docs/logo.png" alt="SaltyIM Logo" />
</p>

[Salty IM](https://salty.im) is a secure, decentrlaised and easy self-hosted
instant messaging alternative. Salty IM is fully encrypted using the
[salty](https://git.mills.io/prologic/salty) Go library utilising the
[Saltypack](https://saltpack.org/) messaging format and parts of
[keys.pub](https://keys.pub/) implemtnation for its cryptography.
Encryption, Decryption and Signing of messages is performed with public key
cryptography using the Ed25519 algoritms.

For more information on how the protocol works, please refer to the
[Specification](https://salty.im/spec.html).

This repository also contains a reference client (written in Go), a reference
broker (server) as well as a Terminal TUI (TUI) client called `salty-chat` and
command-line tools:

- `saltyd` -- Reference broker (server)
- `salty-chat` -- Command-line tools and Terminal UI (TUI)
- [saltyim](https://pkg.go.dev/go.salty.im/saltyim) -- Reference client (Go library)

## Quick Start CLI

```console
$ go install go.salty.im/saltyim/cmd/salty-chat@latest
$ salty-chat make-user user@domain
# Follow the insturctions
$ salty-chat chat prologic@mills.io
```

Alternatively follow the full documentation below to setup your own Salty
broker and your domain name.

## Quick Start (DEV)

## Documentation

> See also the [Old Readme](./OLDREADME.md) for how this
> implementation started out as a simple shell script which you can still
> find at [salty-chat.sh](./bin/salty-chat.sh).

- [Deployment Guide](./docs/Deployment.md)
- [Development Guide](./docs/Development.md)

## Roadmap

Please refer to the [Roadmap](./Roadmap.md) document.

## License

`saltyd` and `salty-chat` are licensed under the terms of the [MIT](/LICENSE)
license.
