package main

import (
	"fmt"
	"os"

	"github.com/spf13/cobra"
)

var setavatarCmd = &cobra.Command{
	Use:   "setavatar <file>",
	Short: "Creates or updates your avatar with a Salty Broker",
	Long: `This command creates or updates your avatar with a regisetered account
on a Salty Broker (an instance of saltyd).

NOTE: This is only spported on a Salty Broker.`,
	Args:    cobra.ExactArgs(1),
	PreRunE: initializeClient,
	Run: func(cmd *cobra.Command, args []string) {
		setavatar(args[0])
	},
}

func init() {
	rootCmd.AddCommand(setavatarCmd)
}

func setavatar(fn string) {
	data, err := os.ReadFile(fn)
	if err != nil {
		fmt.Fprintf(os.Stderr, "error reading avatar file %s: %s", fn, err)
		os.Exit(2)
	}

	if err := cli.SetAvatar(data); err != nil {
		fmt.Fprintf(os.Stderr, "error updating avatar: %s\n", err)
		os.Exit(2)
	}

	fmt.Println("Success! 🥳")
}
