#!/bin/sh
# A Salty IM Echo Bot written as a POSIX Shell script using salty-chat read'
# --post-hook mechanism.
#
# Setup:
#
# $ salty-chat -i ~/.config/salty/echo.key -u echo@yourdomain.tld make-user
# $ salty-chat -i ~/.config/salty/echo.key -u echo@yourdomain.tld read --post-hook ./hooks/echobot.sh

set -e

tmpfile="$(mktemp -t "echobot-XXXXXX")"
trap 'rm $tmpfile' EXIT

cat > "$tmpfile"

sender="$(head -n 1 < "$tmpfile" | awk '{ print $2 }')"
sender="$(echo "$sender" | sed 's/[)(]//g')"
message="$(head -n 1 < "$tmpfile" | awk '{ $1 = ""; $2 = ""; print $0; }')"

echo "$message" | salty-chat send "$sender"
