package internal

import (
	"testing"

	"github.com/stretchr/testify/require"

	"go.salty.im/saltyim"
)

func NewTestUser(addr, broker string, t *testing.T) *saltyim.Client {
	require := require.New(t)

	me, err := saltyim.ParseAddr(addr)
	require.NoError(err)

	id, err := saltyim.CreateIdentity(saltyim.WithIdentityAddr(me))
	require.NoError(err)

	cli, err := saltyim.NewClient(saltyim.WithIdentity(id))
	require.NoError(err)

	return cli
}
