package saltyim_test

import (
	"testing"

	"github.com/stretchr/testify/assert"
	"github.com/stretchr/testify/require"
	"go.salty.im/saltyim"
)

func TestDefaultResolver(t *testing.T) {
	assert := assert.New(t)
	require := require.New(t)

	r, err := saltyim.DefaultResolver.LookupSRV("salty", "tcp", "home.arpa")
	require.NoError(err)
	assert.Equal("salty.home.arpa", r)
}

func TestStandardResolver(t *testing.T) {
	assert := assert.New(t)
	require := require.New(t)

	resolver := &saltyim.StandardResolver{}

	r, err := resolver.LookupSRV("salty", "tcp", "home.arpa")
	require.NoError(err)
	assert.Equal("salty.home.arpa", r)
}

func TestDNSOverHTTPResolver(t *testing.T) {
	assert := assert.New(t)
	require := require.New(t)

	resolver := &saltyim.DNSOverHTTPResolver{}

	r, err := resolver.LookupSRV("salty", "tcp", "mills.io")
	require.NoError(err)
	assert.Equal(r, "salty.mills.io")
}
